> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View all admin emails



## OpenAPI

````yaml post /admin/email_manager/admin/{id}/emails
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/email_manager/admin/{id}/emails:
    post:
      tags:
        - Email manager
      summary: View all admin emails
      operationId: cfdc60d803e5b7b35489de1c13988443
      parameters:
        - name: id
          in: path
          description: The id of the admin
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                admin_id:
                  type: integer
                  example: 1
                page:
                  type: integer
                  example: 1
                perpage:
                  type: integer
                  example: 10
                permissions:
                  type: object
                  example:
                    id: 301
                    deleted_at: null
                    created_at: '2017-02-22T20:40:21.000000Z'
                    updated_at: '2023-05-03T09:41:45.000000Z'
                    client_id: '207'
                    __hevo__ingested_at: 1679725257548
                    __hevo__marked_deleted: 0
                    __hevo__source_modified_at: null
                    __hevo__database_name: apphys_new
                    group_all: '1'
                    account: '1'
                    groups: '1'
                    group-301: '1'
                    admins: '1'
                    forms: '1'
                    new_form: '1'
                    manage_programs: '1'
                    manage_settings: '1'
                    manage_designations: '1'
                    manage_email: '1'
                    email_manager: '1'
                    donations: '1'
                    form_report: '1'
                    program-1221: '1'
                    program-929: '1'
                    donor-639: '1'
                    program-all: '1'
                    donor-all: '1'
                    program-3437: '1'
                    program-3438: '1'
                    program-3439: '1'
                    program-3440: '1'
                    program-3441: '1'
                    program-3442: '1'
                    program-3443: '1'
                    program-3494: '1'
                    program-3495: '1'
                    program-3506: '1'
                    program-3507: '1'
                    disable_entity_archive: '1'
                    disable_donor_archive: null
                    disable_donor_delete: null
                    disable_donor_restore: null
                    disable_entity_delete: null
                    disable_entity_restore: null
                    group_id: 301
                    program-3510: '1'
                    program-3515: '1'
                    program-3516: '1'
                    program-3517: '1'
                    program-3518: '1'
                    disable_message_send_without_approval: null
                    donor-3030: '1'
                    donor-3040: '1'
                    group-1472: '1'
                    group-1473: '1'
                    group-1474: '1'
                    group-1475: '1'
                    program-3539: '1'
                    program-3540: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  emails:
                    description: The list of emails
                    type: array
                    items:
                      properties:
                        id:
                          description: The id of the email
                          type: integer
                        status:
                          description: The status of the email
                          type: integer
                        to:
                          description: The recipient of the email
                          type: string
                        from:
                          description: The sender of the email
                          type: string
                        subject:
                          description: The subject of the email
                          type: string
                        message:
                          description: The message of the email
                          type: string
                        date:
                          description: The date of the email
                          type: string
                      type: object
                  number:
                    description: The total number of emails
                    type: integer
                  a_emails:
                    description: The list of emails assigned to the admin
                    type: array
                    items:
                      type: object
                  perpage:
                    description: The number of emails per page
                    type: integer
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````